Subject: Re: bug#35779: docker-compose missing dependency

From: sirmacik <[email-masked]>
Date: Sat, 18 May 2019 13:15:21 +0200

Gábor Boskovits dixit (2019-05-18, 11:01):

> Hello,
>
> sirmacik <[email-masked]> ezt írta (időpont: 2019. máj. 17., Pén
> 18:25):
>
> > Hey Guix!
> >
> > I've encountered the following error while trying to run
> > docker-compose:
> >
> > $ docker-compose up
> > Traceback (most recent call last):
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 574, in _build_master
> >     ws.require(__requires__)
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 892, in require
> >     needed = self.resolve(parse_requirements(requirements))
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 783, in resolve
> >     raise VersionConflict(dist, req).with_context(dependent_req)
> > pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1
> > (/gnu/store/w0qzc3l0w8i2ikgjrfjhgk9wh07pcn9x-python-jsonschema-3.0.1/lib/python3.7/site-packages),
> > Requirement.parse('jsonschema<3,>=2.5.1'), {'docker-compose'})
> >
> The problem here seems to be that the jsonschema package is too new. First
> I would check if it is possible to update docker to a version, where the
> current jsonschema is ok, if not then reintroducing an older jsonschema
> version, and depending on that in docker would work. I am writing this from
> a mobile, and have no way to look into this more right now.

Looks like version bump should go something like in the file attached,
but I do not have the knowledge yet on how to get hashes automatically
and build it.

Version gets bumped up to 1.24.0

>
> >
> > During handling of the above exception, another exception occurred:
> >
> > Traceback (most recent call last):
> >   File
> > "/gnu/store/7kblfjjjlkvy92gmqq0i9fksimcarrih-docker-compose-1.5.2/bin/.docker-compose-real",
> > line 6, in <module>
> >     from pkg_resources import load_entry_point
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 3088, in <module>
> >     @_call_aside
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 3072, in _call_aside
> >     f(*args, **kwargs)
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 3101, in _initialize_master_working_set
> >     working_set = WorkingSet._build_master()
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 576, in _build_master
> >     return cls._build_from_requirements(__requires__)
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 589, in _build_from_requirements
> >     dists = ws.resolve(reqs, Environment())
> >   File
> > "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/lib/python3.7/site-packages/pkg_resources/__init__.py",
> > line 778, in resolve
> >     raise DistributionNotFound(req, requirers)
> > pkg_resources.DistributionNotFound: The 'jsonschema<3,>=2.5.1'
> > distribution was not found and is required by docker-compose
> >
> > It happens every time one invokes program and Unfortunately makes it
> > unusable. :/
> >
> > --
> > sirmacik
> > PGP: 0xE0DC81D523891771
> >
> Best regards,
> g_bor
>
> >
> >
> >
> >

--
sirmacik
PGP: 0xE0DC81D523891771